Форумы портала PHP.SU » PHP » PEAR и PECL » PHP модуль - imagick.so

Страниц (1): [1]
 

1. academ1ca - 06 Июля, 2014 - 18:54:55 - перейти к сообщению
С добрым.
Интересует данный сабж. Как он ставится если требуется поставить нестандартную версию пхп ?
На Ubuntu 12.04.4 стоит скомпиленная PHP 5.2.17 версия.
Я так понимаю imagick.so это враппер для ImageMagick библиотеки ?
Подскажите как это расширение правильно готовить при нестандартном PHP на системе.
Я скомпилял библиотеку ImageMagick и при компиляции расширения imagick.so указал свою версию пхп и версию ImageMagick (точнее где она установлена)
Вроде бы загружается. В phpinfo() отображается скомпиленная версия модуля, а при попытке работы с ним вылетает исключение что нет каких до делегатов.....

CODE (htmlphp):
скопировать код в буфер обмена
  1. PHP Fatal error:  Uncaught exception 'ImagickException' with message 'no decode delegate for this image format


Буду благодарен, хоть за подсказку куда копать.

 

Powered by ExBB FM 1.0 RC1